dump.hpp File Reference
`#include <iomanip>`
`#include <iostream>`
`#include <string>`
`#include <osmium/handler.hpp>`
`#include <osmium/memory/collection.hpp>`
`#include <osmium/memory/item.hpp>`
`#include <osmium/osm/area.hpp>`
`#include <osmium/osm/box.hpp>`
`#include <osmium/osm/changeset.hpp>`
`#include <osmium/osm/item_type.hpp>`
`#include <osmium/osm/location.hpp>`
`#include <osmium/osm/node.hpp>`
`#include <osmium/osm/node_ref.hpp>`
`#include <osmium/osm/object.hpp>`
`#include <osmium/osm/relation.hpp>`
`#include <osmium/osm/tag.hpp>`
`#include <osmium/osm/timestamp.hpp>`
`#include <osmium/osm/way.hpp>`
`#include <osmium/visitor.hpp>`
Include dependency graph for dump.hpp:

Go to the source code of this file.

## Classes

class | osmium::handler::Dump

## Namespaces

| osmium
| Namespace for everything in the Osmium library.
| osmium::handler
| Osmium handlers provide callbacks for OSM objects.